OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.SampleLocations

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVSampleLocations :: MonadIO m => m Bool
- gl_NV_sample_locations :: Bool
- gl_FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_NV :: GLenum
- gl_FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_NV :: GLenum
- gl_PROGRAMMABLE_SAMPLE_LOCATION_NV :: GLenum
- gl_PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_NV :: GLenum
- gl_SAMPLE_LOCATION_NV :: GLenum
- gl_SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_NV :: GLenum
- gl_SAMPLE_LOCATION_PIXEL_GRID_WIDTH_NV :: GLenum
- gl_SAMPLE_LOCATION_SUBPIXEL_BITS_NV :: GLenum
- glFramebufferSampleLocationsfvNV :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glNamedFramebufferSampleLocationsfvNV :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glResolveDepthValuesNV :: MonadIO m => m ()

# Extension Support

glGetNVSampleLocations :: MonadIO m => m Bool

Is the NV_sample_locations extension supported?

gl_NV_sample_locations :: Bool

Is the NV_sample_locations extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVSampleLocations` in those cases instead.

# Enums

gl_FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_NV :: GLenum

gl_FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_NV :: GLenum

gl_PROGRAMMABLE_SAMPLE_LOCATION_NV :: GLenum

gl_PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_NV :: GLenum

gl_SAMPLE_LOCATION_NV :: GLenum

gl_SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_NV :: GLenum

gl_SAMPLE_LOCATION_PIXEL_GRID_WIDTH_NV :: GLenum

gl_SAMPLE_LOCATION_SUBPIXEL_BITS_NV :: GLenum

# Functions

glFramebufferSampleLocationsfvNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `start`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v`.
-> m () |

glNamedFramebufferSampleLocationsfvNV

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLuint | `start`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v`.
-> m () |

glResolveDepthValuesNV :: MonadIO m => m ()